de.dhbwstuttgart.syntaxtree.statement

## Class ExprStmt

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt

- All Implemented Interfaces:
    IItemWithOffset, Typeable
  Direct Known Subclasses:
    Expr

      public abstract class ExprStmt
      extends Statement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Logger` | `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExprStmt(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTypeLineNumber()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `java.lang.String` | `getTypeName()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, printJavaCode, setReturnType, setType, TYPEStmt, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getChildren, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inferencelog

          protected static Logger inferencelog

  - ### Constructor Detail

    - #### ExprStmt

          public ExprStmt(int offset,
                          int variableLength)

  - ### Method Detail

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getTypeLineNumber

          public int getTypeLineNumber()

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Returns: